DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] dpdk-setup.sh: Prevent infinite loop, when end of input.
@ 2020-03-30 14:18 Piotr Sieduszewski
  2020-05-24 17:07 ` Thomas Monjalon
  0 siblings, 1 reply; 5+ messages in thread
From: Piotr Sieduszewski @ 2020-03-30 14:18 UTC (permalink / raw)
  To: dev; +Cc: Piotr Sieduszewski

From: Piotr Sieduszewski <piotr.sieduszewski@intel.com>

Signed-off-by: Piotr Sieduszewski <piotr.sieduszewski@intel.com>
---
 usertools/dpdk-setup.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/usertools/dpdk-setup.sh b/usertools/dpdk-setup.sh
index e5bbe9fee..c9660f950 100755
--- a/usertools/dpdk-setup.sh
+++ b/usertools/dpdk-setup.sh
@@ -593,7 +593,7 @@ while [ "$QUIT" == "0" ]; do
 	OPTIONS[$OPTION_NUM]="quit"
 	echo ""
 	echo -n "Option: "
-	read our_entry
+	read our_entry || break
 	echo ""
 	${OPTIONS[our_entry]} ${our_entry}
 
-- 
2.17.1


^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [dpdk-dev] [PATCH] dpdk-setup.sh: Prevent infinite loop, when end of input.
  2020-03-30 14:18 [dpdk-dev] [PATCH] dpdk-setup.sh: Prevent infinite loop, when end of input Piotr Sieduszewski
@ 2020-05-24 17:07 ` Thomas Monjalon
  2020-05-24 18:01   ` Piotr
  2020-05-25  5:29   ` Sieduszewski, Piotr
  0 siblings, 2 replies; 5+ messages in thread
From: Thomas Monjalon @ 2020-05-24 17:07 UTC (permalink / raw)
  To: Piotr Sieduszewski; +Cc: dev, Piotr Sieduszewski, sarosh.arif, m.bilal

30/03/2020 16:18, Piotr Sieduszewski:
> From: Piotr Sieduszewski <piotr.sieduszewski@intel.com>
> 
> Signed-off-by: Piotr Sieduszewski <piotr.sieduszewski@intel.com>

Please add some explanations, it may help getting reviews.
Thanks



^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [dpdk-dev] [PATCH] dpdk-setup.sh: Prevent infinite loop, when end of input.
  2020-05-24 17:07 ` Thomas Monjalon
@ 2020-05-24 18:01   ` Piotr
  2020-05-25  5:29   ` Sieduszewski, Piotr
  1 sibling, 0 replies; 5+ messages in thread
From: Piotr @ 2020-05-24 18:01 UTC (permalink / raw)
  To: Thomas Monjalon; +Cc: dev, sarosh.arif, m.bilal

Hi


The script dpdk-setup.sh was froze wit full cpu usage when EOF input.  
For example:


dpdk-setup.sh <<< '11'


or


dpdk-setup.sh <<EOF

11

EOF


Regards


Piotr


On 2020-05-24 7:07 p.m., Thomas Monjalon wrote:
> 30/03/2020 16:18, Piotr Sieduszewski:
>> From: Piotr Sieduszewski <piotr.sieduszewski@intel.com>
>>
>> Signed-off-by: Piotr Sieduszewski <piotr.sieduszewski@intel.com>
> Please add some explanations, it may help getting reviews.
> Thanks
>
>

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [dpdk-dev] [PATCH] dpdk-setup.sh: Prevent infinite loop, when end of input.
  2020-05-24 17:07 ` Thomas Monjalon
  2020-05-24 18:01   ` Piotr
@ 2020-05-25  5:29   ` Sieduszewski, Piotr
  2020-05-25  6:55     ` Thomas Monjalon
  1 sibling, 1 reply; 5+ messages in thread
From: Sieduszewski, Piotr @ 2020-05-25  5:29 UTC (permalink / raw)
  To: Thomas Monjalon; +Cc: dev, sarosh.arif, m.bilal

Hi



I send answer yesterday, but now I put more examples from my scripts at work:





as first, very simple deadlock:

Dpd-setup.sh < /dev/null





Deadlock without patch:



for NIC in ${RTE_NIC-0000:3d:00.1} ; do

$RTE_SDK/usertools/dpdk-setup.sh <<< "51

${NIC}



62

"

Done



Above works only witch additional empty line:



for NIC in ${RTE_NIC-0000:3d:00.1} ; do

$RTE_SDK/usertools/dpdk-setup.sh <<< "51

${NIC}



62



"

Done





.. or other deadlock:



usertools/dpdk-setup.sh <<< '41



62

'



usertools/dpdk-setup.sh <<< '41



62



'





Regards



Piotr





-----Original Message-----
From: Thomas Monjalon <thomas@monjalon.net>
Sent: 2020 May 24 19:08
To: Sieduszewski, Piotr <piotr.sieduszewski@intel.com>
Cc: dev@dpdk.org; Piotr Sieduszewski <piotr@dobra.waw.pl>; sarosh.arif@emumba.com; m.bilal@emumba.com
Subject: Re: [dpdk-dev] [PATCH] dpdk-setup.sh: Prevent infinite loop, when end of input.



30/03/2020 16:18, Piotr Sieduszewski:

> From: Piotr Sieduszewski <piotr.sieduszewski@intel.com<mailto:piotr.sieduszewski@intel.com>>

>

> Signed-off-by: Piotr Sieduszewski <piotr.sieduszewski@intel.com<mailto:piotr.sieduszewski@intel.com>>



Please add some explanations, it may help getting reviews.

Thanks




---------------------------------------------------------------------
Intel Technology Poland sp. z o.o.
ul. Sowackiego 173 | 80-298 Gdask | Sd Rejonowy Gdask Pnoc | VII Wydzia Gospodarczy Krajowego Rejestru Sdowego - KRS 101882 | NIP 957-07-52-316 | Kapita zakadowy 200.000 PLN.
Ta wiadomo wraz z zacznikami jest przeznaczona dla okrelonego adresata i moe zawiera informacje poufne. W razie przypadkowego otrzymania tej wiadomoci, prosimy o powiadomienie nadawcy oraz trwae jej usunicie; jakiekolwiek przegldanie lub rozpowszechnianie jest zabronione.
This e-mail and any attachments may contain confidential material for the sole use of the intended recipient(s). If you are not the intended recipient, please contact the sender and delete all copies; any review or distribution by others is strictly prohibited.
 

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [dpdk-dev] [PATCH] dpdk-setup.sh: Prevent infinite loop, when end of input.
  2020-05-25  5:29   ` Sieduszewski, Piotr
@ 2020-05-25  6:55     ` Thomas Monjalon
  0 siblings, 0 replies; 5+ messages in thread
From: Thomas Monjalon @ 2020-05-25  6:55 UTC (permalink / raw)
  To: Sieduszewski, Piotr; +Cc: dev, sarosh.arif, m.bilal

25/05/2020 07:29, Sieduszewski, Piotr:
> Hi
> 
> I send answer yesterday, but now I put more examples from my scripts at work:

Please send a patch v2 with more explanations in sentences.
It would be appreciated if you use --in-reply-to.

PS: please do not top-post, do not use HTML, and do not mark email as confidential.



> as first, very simple deadlock:
> 
> Dpd-setup.sh < /dev/null
> 
> 
> 
> 
> 
> Deadlock without patch:
> 
> 
> 
> for NIC in ${RTE_NIC-0000:3d:00.1} ; do
> 
> $RTE_SDK/usertools/dpdk-setup.sh <<< "51
> 
> ${NIC}
> 
> 
> 
> 62
> 
> "
> 
> Done
> 
> 
> 
> Above works only witch additional empty line:
> 
> 
> 
> for NIC in ${RTE_NIC-0000:3d:00.1} ; do
> 
> $RTE_SDK/usertools/dpdk-setup.sh <<< "51
> 
> ${NIC}
> 
> 
> 
> 62
> 
> 
> 
> "
> 
> Done
> 
> 
> 
> 
> 
> .. or other deadlock:
> 
> 
> 
> usertools/dpdk-setup.sh <<< '41
> 
> 
> 
> 62
> 
> '
> 
> 
> 
> usertools/dpdk-setup.sh <<< '41
> 
> 
> 
> 62
> 
> 
> 
> '
> 
> 
> 
> 
> 
> Regards
> 
> 
> 
> Piotr
> 
> 
> 
> 
> 
> -----Original Message-----
> From: Thomas Monjalon <thomas@monjalon.net>
> Sent: 2020 May 24 19:08
> To: Sieduszewski, Piotr <piotr.sieduszewski@intel.com>
> Cc: dev@dpdk.org; Piotr Sieduszewski <piotr@dobra.waw.pl>; sarosh.arif@emumba.com; m.bilal@emumba.com
> Subject: Re: [dpdk-dev] [PATCH] dpdk-setup.sh: Prevent infinite loop, when end of input.
> 
> 
> 
> 30/03/2020 16:18, Piotr Sieduszewski:
> 
> > From: Piotr Sieduszewski <piotr.sieduszewski@intel.com<mailto:piotr.sieduszewski@intel.com>>
> 
> >
> 
> > Signed-off-by: Piotr Sieduszewski <piotr.sieduszewski@intel.com<mailto:piotr.sieduszewski@intel.com>>
> 
> 
> 
> Please add some explanations, it may help getting reviews.
> 
> Thanks
> 
> 
> 
> 
> ---------------------------------------------------------------------
> Intel Technology Poland sp. z o.o.
> ul. Sowackiego 173 | 80-298 Gdask | Sd Rejonowy Gdask Pnoc | VII Wydzia Gospodarczy Krajowego Rejestru Sdowego - KRS 101882 | NIP 957-07-52-316 | Kapita zakadowy 200.000 PLN.
> Ta wiadomo wraz z zacznikami jest przeznaczona dla okrelonego adresata i moe zawiera informacje poufne. W razie przypadkowego otrzymania tej wiadomoci, prosimy o powiadomienie nadawcy oraz trwae jej usunicie; jakiekolwiek przegldanie lub rozpowszechnianie jest zabronione.
> This e-mail and any attachments may contain confidential material for the sole use of the intended recipient(s). If you are not the intended recipient, please contact the sender and delete all copies; any review or distribution by others is strictly prohibited.
>  
> 






^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2020-05-25 10:06 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-03-30 14:18 [dpdk-dev] [PATCH] dpdk-setup.sh: Prevent infinite loop, when end of input Piotr Sieduszewski
2020-05-24 17:07 ` Thomas Monjalon
2020-05-24 18:01   ` Piotr
2020-05-25  5:29   ` Sieduszewski, Piotr
2020-05-25  6:55     ` Thomas Monjalon

DPDK patches and discussions

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.dpdk.org/dev/0 dev/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 dev dev/ http://inbox.dpdk.org/dev \
		dev@dpdk.org
	public-inbox-index dev

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.dpdk.org/inbox.dpdk.dev


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git